Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -1,2 +1,13 @@
+2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Remove all-local: $(ARCH).
+	* console/Makefile.am: Remove all-local: $(ARCH).
+	* fatal/Makefile.am: Remove all-local: $(ARCH).
+	* network/Makefile.am: Remove all-local: $(ARCH).
+	* start/Makefile.am: Remove all-local: $(ARCH).
+	* startup/Makefile.am: Remove all-local: $(ARCH).
+	* timer/Makefile.am: Remove all-local: $(ARCH).
+	* wrapup/Makefile.am: Remove all-local: $(ARCH).
+
 2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme167/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/clock/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/clock/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/mvme167/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/console/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/console/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -21,5 +21,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/mvme167/fatal/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/fatal/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/fatal/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -23,5 +23,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/mvme167/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/network/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/network/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -26,5 +26,5 @@
 
 if HAS_NETWORKING
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 endif
 
Index: c/src/lib/libbsp/m68k/mvme167/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -26,5 +26,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(ARCH)/start.$(OBJEXT)
Index: c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -32,5 +32,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/mvme167/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/timer/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/timer/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -26,5 +26,5 @@
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-all-local: $(ARCH) $(OBJS) $(PGM)
+all-local: $(OBJS) $(PGM)
 
 .PRECIOUS: $(PGM)
Index: c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am	(revision 1dbd584a17eab3850e7c87b939a005316867cae0)
+++ c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am	(revision 25389032c356a9ca0d69c123226495c8165c6e41)
@@ -27,5 +27,5 @@
 	$(make-library)
 
-all-local: $(ARCH) $(LIB)
+all-local: $(LIB)
 
 include $(top_srcdir)/../../../../automake/local.am