Index: c/src/lib/libbsp/sparc/leon2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon2/ChangeLog	(revision 706ebe2f6aa941b96cb7d4a1fe0117705ac999fd)
+++ c/src/lib/libbsp/sparc/leon2/ChangeLog	(revision 38386473bbfa8f7a1a218dc83ee35ae95d9471af)
@@ -1,2 +1,8 @@
+2009-10-01	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	PR 1445/BSPs
+	* pci/pci.c: Rename pci_[read|write]_config* functions into
+	BSP_pci_[read|write]_config* and make them static.
+
 2009-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sparc/leon2/pci/pci.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/pci/pci.c	(revision 706ebe2f6aa941b96cb7d4a1fe0117705ac999fd)
+++ c/src/lib/libbsp/sparc/leon2/pci/pci.c	(revision 38386473bbfa8f7a1a218dc83ee35ae95d9471af)
@@ -106,6 +106,6 @@
  */
  
-int
-pci_read_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int *val) {
+static int
+BSP_pci_read_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int *val) {
 
     volatile unsigned int data;
@@ -137,6 +137,6 @@
 
 
-int 
-pci_read_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short *val) {
+static int 
+BSP_pci_read_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short *val) {
     unsigned int v;
 
@@ -150,6 +150,6 @@
 
 
-int 
-pci_read_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char *val) {
+static int 
+BSP_pci_read_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char *val) {
     unsigned int v;
 
@@ -162,6 +162,6 @@
 
 
-int
-pci_write_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int val) {
+static int
+BSP_pci_write_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int val) {
 
     if (offset & 3) return PCIBIOS_BAD_REGISTER_NUMBER;
@@ -188,6 +188,6 @@
 
 
-int 
-pci_write_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short val) {
+static int 
+BSP_pci_write_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short val) {
     unsigned int v;
 
@@ -202,6 +202,6 @@
 
 
-int 
-pci_write_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char val) {
+static int 
+BSP_pci_write_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char val) {
     unsigned int v;
 
@@ -216,10 +216,10 @@
 
 const pci_config_access_functions pci_access_functions = {
-    pci_read_config_byte,
-    pci_read_config_word,
-    pci_read_config_dword,
-    pci_write_config_byte,
-    pci_write_config_word,
-    pci_write_config_dword
+    BSP_pci_read_config_byte,
+    BSP_pci_read_config_word,
+    BSP_pci_read_config_dword,
+    BSP_pci_write_config_byte,
+    BSP_pci_write_config_word,
+    BSP_pci_write_config_dword
 };
 
Index: c/src/lib/libbsp/sparc/leon3/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon3/ChangeLog	(revision 706ebe2f6aa941b96cb7d4a1fe0117705ac999fd)
+++ c/src/lib/libbsp/sparc/leon3/ChangeLog	(revision 38386473bbfa8f7a1a218dc83ee35ae95d9471af)
@@ -1,2 +1,8 @@
+2009-10-01	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	PR 1445/BSPs
+	* pci/pci.c: Rename pci_[read|write]_config* functions into
+	BSP_pci_[read|write]_config* and make them static.
+
 2009-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/sparc/leon3/pci/pci.c
===================================================================
--- c/src/lib/libbsp/sparc/leon3/pci/pci.c	(revision 706ebe2f6aa941b96cb7d4a1fe0117705ac999fd)
+++ c/src/lib/libbsp/sparc/leon3/pci/pci.c	(revision 38386473bbfa8f7a1a218dc83ee35ae95d9471af)
@@ -98,6 +98,6 @@
  
 
-int
-pci_read_config_dword(
+static int
+BSP_pci_read_config_dword(
   unsigned char bus,
   unsigned char slot,
@@ -135,6 +135,6 @@
 
 
-int 
-pci_read_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short *val) {
+static int 
+BSP_pci_read_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short *val) {
     unsigned int v;
 
@@ -148,6 +148,6 @@
 
 
-int 
-pci_read_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char *val) {
+static int 
+BSP_pci_read_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char *val) {
     unsigned int v;
 
@@ -160,6 +160,6 @@
 
 
-int
-pci_write_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int val) {
+static int
+BSP_pci_write_config_dword(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned int val) {
 
     volatile unsigned int *pci_conf;
@@ -186,6 +186,6 @@
 
 
-int 
-pci_write_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short val) {
+static int 
+BSP_pci_write_config_word(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned short val) {
     unsigned int v;
 
@@ -200,6 +200,6 @@
 
 
-int 
-pci_write_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char val) {
+static int 
+BSP_pci_write_config_byte(unsigned char bus, unsigned char slot, unsigned char function, unsigned char offset, unsigned char val) {
     unsigned int v;
 
@@ -214,10 +214,10 @@
 
 const pci_config_access_functions pci_access_functions = {
-    pci_read_config_byte,
-    pci_read_config_word,
-    pci_read_config_dword,
-    pci_write_config_byte,
-    pci_write_config_word,
-    pci_write_config_dword
+    BSP_pci_read_config_byte,
+    BSP_pci_read_config_word,
+    BSP_pci_read_config_dword,
+    BSP_pci_write_config_byte,
+    BSP_pci_write_config_word,
+    BSP_pci_write_config_dword
 };
 