Index: c/src/lib/libbsp/a29k/portsw/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/a29k/portsw/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/a29k/portsw/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,5 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 #
Index: c/src/lib/libbsp/hppa1.1/simhppa/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/hppa1.1/simhppa/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,6 +14,5 @@
 VPATH = @srcdir@
 
-H_PIECES = bsp coverhd
-H_FILES = $(H_PIECES:%=$(srcdir)/%.h)
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 RTEMS_H_PIECES = ttydrv
Index: c/src/lib/libbsp/i386/pc386/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/i386/pc386/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/i386/pc386/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -19,5 +19,6 @@
 WD80X3 = $(WD80X3_$(HAS_NETWORKING)_V)
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h $(srcdir)/crt.h $(WD80X3)
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+    $(srcdir)/crt.h $(WD80X3)
 
 #
Index: c/src/lib/libbsp/i960/cvme961/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/i960/cvme961/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/i960/cvme961/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,5 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 #
Index: c/src/lib/libbsp/i960/rxgen960/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/i960/rxgen960/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/i960/rxgen960/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,5 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 #
Index: c/src/lib/libbsp/m68k/efi332/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/efi332/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/m68k/efi332/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,6 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/efi332.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+    $(srcdir)/efi332.h 
 
 #
Index: c/src/lib/libbsp/m68k/efi68k/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/m68k/efi68k/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,6 +14,6 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/efi68k.h $(srcdir)/16550.h \
-    $(srcdir)/DP8570A.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+     $(srcdir)/efi68k.h $(srcdir)/16550.h $(srcdir)/DP8570A.h 
 
 #
Index: c/src/lib/libbsp/m68k/idp/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/m68k/idp/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,6 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h $(srcdir)/leds.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+    $(srcdir)/leds.h
 
 #
Index: c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,5 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 #
Index: c/src/lib/libbsp/powerpc/dmv177/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/powerpc/dmv177/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,6 +14,6 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h $(srcdir)/dmv170.h \
-    $(srcdir)/../../../shared/tod.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+    $(srcdir)/dmv170.h $(srcdir)/../../../shared/tod.h
 
 #
Index: c/src/lib/libbsp/powerpc/mcp750/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/mcp750/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/powerpc/mcp750/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -15,5 +15,6 @@
 
 H_FILES = $(srcdir)/../../shared/include/nvram.h \
-    $(srcdir)/../../shared/include/bsp.h
+	$(srcdir)/../../shared/include/bsp.h \
+	$(srcdir)/../../../shared/include/coverhd.h
 
 BSP_H_FILES = $(srcdir)/../../shared/console/consoleIo.h \
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -15,5 +15,6 @@
 
 H_FILES = $(srcdir)/../../shared/include/nvram.h \
-    $(srcdir)/../../shared/include/bsp.h
+	$(srcdir)/../../shared/include/bsp.h \
+	$(srcdir)/../../../shared/include/coverhd.h
 
 BSP_H_FILES = $(srcdir)/../../shared/console/consoleIo.h \
Index: c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,6 +14,6 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h $(srcdir)/chain.h \
-    $(srcdir)/tod.h $(srcdir)/nvram.h $(srcdir)/pci.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h \
+    $(srcdir)/chain.h $(srcdir)/tod.h $(srcdir)/nvram.h $(srcdir)/pci.h
 
 #
Index: c/src/lib/libbsp/unix/posix/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/unix/posix/include/Makefile.in	(revision 0d6f0b4e56a9835be283912f3417cd0e96dca3d4)
+++ c/src/lib/libbsp/unix/posix/include/Makefile.in	(revision 56018097d4af7cf95b54a50d975b00e59234e84b)
@@ -14,5 +14,5 @@
 VPATH = @srcdir@
 
-H_FILES = $(srcdir)/bsp.h $(srcdir)/coverhd.h
+H_FILES = $(srcdir)/bsp.h $(srcdir)/../../../shared/coverhd.h
 
 #