Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-avr-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-h8300-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-i386-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-m32c-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-m32r-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-m68k-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-mips-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-powerpc-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-sh-rtems4.10-cpukit
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec	(revision 872775d376ecda4443b8dc8018c6b61701989179)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec	(revision 65205315c043cf884007a28e102be6a4e41ad83a)
@@ -47,7 +47,7 @@
 
 
-%define cpukit_pkgvers 4.9.99.0-20090206-1
+%define cpukit_pkgvers 4.9.99.0-20090206-2
 %define cpukit_version 4.9.99.0
-%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-1" | tr - . )}
+%define cpukit_rpmvers %{expand:%(echo "4.9.99.0-20090206-2" | tr - . )}
 
 Name:         	rtems-4.10-sparc-rtems4.10-cpukit
@@ -66,5 +66,5 @@
 BuildRequires:	rtems-4.10-sparc-rtems4.10-gcc
 
-Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/rtems-%{cpukit_pkgvers}.tar.bz2
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:   0}
 