Index: c/src/lib/libcpu/powerpc/ChangeLog
===================================================================
--- c/src/lib/libcpu/powerpc/ChangeLog	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/ChangeLog	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -1,2 +1,8 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* mpc505/Makefile.am, mpc5xx/Makefile.am, mpc6xx/Makefile.am,
+	mpc8260/Makefile.am, mpc8xx/Makefile.am, ppc403/Makefile.am,
+	shared/Makefile.am: Remove build-variant support.
+
 2004-11-22	Jennifer Averett <jennifer@OARcorp.com>
 
Index: c/src/lib/libcpu/powerpc/mpc505/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/mpc505/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -5,6 +5,5 @@
 CLEANFILES =
 EXTRA_DIST =
-EXTRA_PROGRAMS =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -14,49 +13,22 @@
 include_HEADERS = ictrl/ictrl.h
 
-EXTRA_PROGRAMS += ictrl.rel
-CLEANFILES += ictrl.rel
+noinst_PROGRAMS += ictrl.rel
 ictrl_rel_SOURCES = ictrl/ictrl.c
 ictrl_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 ictrl_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += ictrl_g.rel
-CLEANFILES += ictrl_g.rel
-ictrl_g_rel_SOURCES = $(ictrl_rel_SOURCES)
-ictrl_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-ictrl_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += ictrl$(LIB_VARIANT).rel
-
 ## timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
 ## vector
 vectors_S_FILES = vectors/vectors.S
 
-EXTRA_PROGRAMS += vectors.rel
-CLEANFILES += vectors.rel
+noinst_PROGRAMS += vectors.rel
 vectors_rel_SOURCES = vectors/vectors.S
 vectors_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 vectors_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += vectors_g.rel
-CLEANFILES += vectors_g.rel
-vectors_g_rel_SOURCES = $(vectors_rel_SOURCES)
-vectors_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-vectors_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += vectors$(LIB_VARIANT).rel
 endif
 
Index: c/src/lib/libcpu/powerpc/mpc5xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc5xx/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/mpc5xx/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -5,6 +5,5 @@
 CLEANFILES =
 EXTRA_DIST =
-EXTRA_PROGRAMS =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -17,100 +16,46 @@
 
 ## clock
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clock.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
 ## console-generic
 include_mpc5xx_HEADERS = include/console.h
 
-EXTRA_PROGRAMS += console-generic.rel
-CLEANFILES += console-generic.rel
+noinst_PROGRAMS += console-generic.rel
 console_generic_rel_SOURCES = console-generic/console-generic.c
 console_generic_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_generic_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console-generic_g.rel
-CLEANFILES += console-generic_g.rel
-console_generic_g_rel_SOURCES = $(console_generic_rel_SOURCES)
-console_generic_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_generic_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console-generic$(LIB_VARIANT).rel
-
 ## exceptions
 include_libcpu_HEADERS = exceptions/raw_exception.h
 
-EXTRA_PROGRAMS += exceptions.rel
-CLEANFILES += exceptions.rel
+noinst_PROGRAMS += exceptions.rel
 exceptions_rel_SOURCES = exceptions/raw_exception.c
 exceptions_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 exceptions_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += exceptions_g.rel
-CLEANFILES += exceptions_g.rel
-exceptions_g_rel_SOURCES = $(exceptions_rel_SOURCES)
-exceptions_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-exceptions_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += exceptions$(LIB_VARIANT).rel
-
 ## irq
 include_libcpu_HEADERS += irq/irq.h
 
-EXTRA_PROGRAMS += irq.rel
-CLEANFILES += irq.rel
+noinst_PROGRAMS += irq.rel
 irq_rel_SOURCES = irq/irq.c irq/irq_init.c irq/irq_asm.S
 irq_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 irq_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += irq_g.rel
-CLEANFILES += irq_g.rel
-irq_g_rel_SOURCES = $(irq_rel_SOURCES)
-irq_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-irq_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += irq$(LIB_VARIANT).rel
-
 ## timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
 ## vectors
 include_libcpu_HEADERS += vectors/vectors.h
 
-EXTRA_PROGRAMS += vectors.rel
-CLEANFILES += vectors.rel
+noinst_PROGRAMS += vectors.rel
 vectors_rel_SOURCES = vectors/vectors_init.c vectors/vectors.S
 vectors_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 vectors_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += vectors_g.rel
-CLEANFILES += vectors_g.rel
-vectors_g_rel_SOURCES = $(vectors_rel_SOURCES)
-vectors_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-vectors_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += vectors$(LIB_VARIANT).rel
 endif
 
Index: c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -6,7 +6,6 @@
 
 EXTRA_DIST =
-EXTRA_PROGRAMS =
+noinst_PROGRAMS =
 CLEANFILES =
-noinst_DATA =
 
 if mpc6xx
@@ -15,23 +14,13 @@
 
 # exceptions
-EXTRA_PROGRAMS += exceptions.rel
-CLEANFILES += exceptions.rel
+noinst_PROGRAMS += exceptions.rel
 exceptions_rel_SOURCES = exceptions/raw_exception.c exceptions/asm_utils.S
 exceptions_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 exceptions_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += exceptions_g.rel
-CLEANFILES += exceptions_g.rel
-exceptions_g_rel_SOURCES = $(exceptions_rel_SOURCES)
-exceptions_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-exceptions_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += exceptions$(LIB_VARIANT).rel
-
 # mmu
 include_libcpu_HEADERS += mmu/bat.h mmu/pte121.h
 
-EXTRA_PROGRAMS += mmu.rel
-CLEANFILES += mmu.rel
+noinst_PROGRAMS += mmu.rel
 mmu_rel_SOURCES = mmu/bat.c mmu/bat.h mmu/pte121.c mmu/pte121.h \
     mmu/mmuAsm.S
@@ -39,43 +28,17 @@
 mmu_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += mmu_g.rel
-CLEANFILES += mmu_g.rel
-mmu_g_rel_SOURCES = $(mmu_rel_SOURCES)
-mmu_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-mmu_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += mmu$(LIB_VARIANT).rel
-
 # clock
 include_libcpu_HEADERS += clock/c_clock.h
 
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/c_clock.c clock/c_clock.h
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
 # timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
 endif
 
Index: c/src/lib/libcpu/powerpc/mpc8260/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -4,7 +4,6 @@
 
 EXTRA_DIST =
-EXTRA_PROGRAMS =
+noinst_PROGRAMS =
 CLEANFILES =
-noinst_DATA =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -16,11 +15,9 @@
 
 include_libcpudir = $(includedir)/libcpu
-include_libcpu_HEADERS = exceptions/raw_exception.h
 
 ## console-generic
 include_mpc8260_HEADERS = include/console.h
 
-EXTRA_PROGRAMS += console-generic.rel
-CLEANFILES += console-generic.rel
+noinst_PROGRAMS += console-generic.rel
 console_generic_rel_SOURCES = console-generic/console-generic.c \
     include/console.h
@@ -28,49 +25,22 @@
 console_generic_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console-generic_g.rel
-CLEANFILES += console-generic_g.rel
-console_generic_g_rel_SOURCES = $(console_generic_rel_SOURCES)
-console_generic_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_generic_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console-generic$(LIB_VARIANT).rel
-
 ## clock
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clock.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
 ## cpm
 include_mpc8260_HEADERS += include/cpm.h
 
-EXTRA_PROGRAMS += cpm.rel
-CLEANFILES += cpm.rel
+noinst_PROGRAMS += cpm.rel
 cpm_rel_SOURCES = cpm/cp.c cpm/dpram.c cpm/brg.c include/cpm.h
 cpm_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 cpm_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += cpm_g.rel
-CLEANFILES += cpm_g.rel
-cpm_g_rel_SOURCES = $(cpm_rel_SOURCES)
-cpm_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-cpm_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
+## exceptions
+include_libcpu_HEADERS = exceptions/raw_exception.h
 
-noinst_DATA += cpm$(LIB_VARIANT).rel
-
-## exceptions
-include_libcpu_HEADERS += exceptions/raw_exception.h
-
-EXTRA_PROGRAMS += exceptions.rel
-CLEANFILES += exceptions.rel
+noinst_PROGRAMS += exceptions.rel
 exceptions_rel_SOURCES = exceptions/raw_exception.c exceptions/asm_utils.S \
     exceptions/raw_exception.h
@@ -78,43 +48,17 @@
 exceptions_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += exceptions_g.rel
-CLEANFILES += exceptions_g.rel
-exceptions_g_rel_SOURCES = $(exceptions_rel_SOURCES)
-exceptions_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-exceptions_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += exceptions$(LIB_VARIANT).rel
-
 ## mmu
 include_mpc8260_HEADERS += include/mmu.h
 
-EXTRA_PROGRAMS += mmu.rel
-CLEANFILES += mmu.rel
+noinst_PROGRAMS += mmu.rel
 mmu_rel_SOURCES = mmu/mmu.c include/mmu.h
 mmu_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 mmu_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += mmu_g.rel
-CLEANFILES += mmu_g.rel
-mmu_g_rel_SOURCES = $(mmu_rel_SOURCES)
-mmu_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-mmu_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += mmu$(LIB_VARIANT).rel
-
 ## timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
 endif
 
@@ -146,8 +90,4 @@
 PREINSTALL_DIRS += $(PROJECT_INCLUDE)/libcpu/$(dirstamp)
 
-$(PROJECT_INCLUDE)/libcpu/raw_exception.h: exceptions/raw_exception.h $(PROJECT_INCLUDE)/libcpu/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/libcpu/raw_exception.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu/raw_exception.h
-
 $(PROJECT_INCLUDE)/mpc8260/console.h: include/console.h $(PROJECT_INCLUDE)/mpc8260/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/mpc8260/console.h
Index: c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -5,6 +5,5 @@
 CLEANFILES =
 EXTRA_DIST =
-EXTRA_PROGRAMS =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -17,100 +16,46 @@
 
 ## clock
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clock.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
 ## console-generic
 include_mpc8xx_HEADERS = include/console.h
 
-EXTRA_PROGRAMS += console-generic.rel
-CLEANFILES += console-generic.rel
+noinst_PROGRAMS += console-generic.rel
 console_generic_rel_SOURCES = console-generic/console-generic.c
 console_generic_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_generic_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console-generic_g.rel
-CLEANFILES += console-generic_g.rel
-console_generic_g_rel_SOURCES = $(console_generic_rel_SOURCES)
-console_generic_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_generic_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console-generic$(LIB_VARIANT).rel
-
 ## cpm
 include_mpc8xx_HEADERS += include/cpm.h
 
-EXTRA_PROGRAMS += cpm.rel
-CLEANFILES += cpm.rel
+noinst_PROGRAMS += cpm.rel
 cpm_rel_SOURCES = cpm/cp.c cpm/dpram.c
 cpm_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 cpm_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += cpm_g.rel
-CLEANFILES += cpm_g.rel
-cpm_g_rel_SOURCES = $(cpm_rel_SOURCES)
-cpm_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-cpm_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += cpm$(LIB_VARIANT).rel
-
 ## exceptions
 include_libcpu_HEADERS = exceptions/raw_exception.h
 
-EXTRA_PROGRAMS += exceptions.rel
-CLEANFILES += exceptions.rel
+noinst_PROGRAMS += exceptions.rel
 exceptions_rel_SOURCES = exceptions/raw_exception.c exceptions/asm_utils.S
 exceptions_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 exceptions_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += exceptions_g.rel
-CLEANFILES += exceptions_g.rel
-exceptions_g_rel_SOURCES = $(exceptions_rel_SOURCES)
-exceptions_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-exceptions_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += exceptions$(LIB_VARIANT).rel
-
 ## mmu
 include_mpc8xx_HEADERS += include/mmu.h
 
-EXTRA_PROGRAMS += mmu.rel
-CLEANFILES += mmu.rel
+noinst_PROGRAMS += mmu.rel
 mmu_rel_SOURCES = mmu/mmu.c
 mmu_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 mmu_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += mmu_g.rel
-CLEANFILES += mmu_g.rel
-mmu_g_rel_SOURCES = $(mmu_rel_SOURCES)
-mmu_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-mmu_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += mmu$(LIB_VARIANT).rel
-
 ## timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
 endif
 
Index: c/src/lib/libcpu/powerpc/ppc403/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/ppc403/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -5,6 +5,5 @@
 CLEANFILES =
 EXTRA_DIST =
-EXTRA_PROGRAMS =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -12,21 +11,11 @@
 if ppc403
 ## clock
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clock.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
 ## console
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 if ppc405
 console_rel_SOURCES = console/console405.c
@@ -37,43 +26,17 @@
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
 ## ictrl
 include_HEADERS = ictrl/ictrl.h
 
-EXTRA_PROGRAMS += ictrl.rel
-CLEANFILES += ictrl.rel
+noinst_PROGRAMS += ictrl.rel
 ictrl_rel_SOURCES = ictrl/ictrl.c ictrl/ictrl.h
 ictrl_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 ictrl_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += ictrl_g.rel
-CLEANFILES += ictrl_g.rel
-ictrl_g_rel_SOURCES = $(ictrl_rel_SOURCES)
-ictrl_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-ictrl_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += ictrl$(LIB_VARIANT).rel
-
 ## timer
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
 
 ## tty_drv
@@ -81,33 +44,15 @@
 include_HEADERS += tty_drv/tty_drv.h
 
-EXTRA_PROGRAMS += tty_drv.rel
-CLEANFILES += tty_drv.rel
+noinst_PROGRAMS += tty_drv.rel
 tty_drv_rel_SOURCES = tty_drv/tty_drv.c tty_drv/tty_drv.h
 tty_drv_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 tty_drv_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += tty_drv_g.rel
-CLEANFILES += tty_drv_g.rel
-tty_drv_g_rel_SOURCES = $(tty_drv_rel_SOURCES)
-tty_drv_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-tty_drv_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += tty_drv$(LIB_VARIANT).rel
 endif
 
 ## vectors
-EXTRA_PROGRAMS += vectors.rel
-CLEANFILES += vectors.rel
+noinst_PROGRAMS += vectors.rel
 vectors_rel_SOURCES = vectors/vectors.S vectors/align_h.S
 vectors_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 vectors_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += vectors_g.rel
-CLEANFILES += vectors_g.rel
-vectors_g_rel_SOURCES = $(vectors_rel_SOURCES)
-vectors_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-vectors_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += vectors$(LIB_VARIANT).rel
 endif
 
Index: c/src/lib/libcpu/powerpc/shared/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision c8db773dfaee652fc8e1e9be30349aacbe68c154)
+++ c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision 65918026faf730dfffff5190a1ad4917c2083259)
@@ -3,7 +3,6 @@
 ##
 
-EXTRA_PROGRAMS =
+noinst_PROGRAMS =
 CLEANFILES =
-noinst_DATA =
 
 include $(top_srcdir)/../../../automake/compile.am
@@ -16,22 +15,13 @@
     include/byteorder.h include/pgtable.h
 
-EXTRA_PROGRAMS += cpuIdent.rel
-CLEANFILES += cpuIdent.rel
+noinst_PROGRAMS += cpuIdent.rel
 cpuIdent_rel_SOURCES = include/cpuIdent.c include/cpuIdent.h
 cpuIdent_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 cpuIdent_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += cpuIdent_g.rel
-CLEANFILES += cpuIdent_g.rel
-cpuIdent_g_rel_SOURCES = $(cpuIdent_rel_SOURCES)
-cpuIdent_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-cpuIdent_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += cpuIdent$(LIB_VARIANT).rel
 include_libcpu_HEADERS += include/cpuIdent.h
 
 ## cache
-EXTRA_PROGRAMS += cache.rel
-CLEANFILES += cache.rel
+noinst_PROGRAMS += cache.rel
 cache_rel_SOURCES = src/cache.c src/cache_.h \
     ../../shared/src/cache_aligned_malloc.c ../../shared/src/cache_manager.c \
@@ -40,27 +30,12 @@
 cache_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += cache_g.rel
-CLEANFILES += cache_g.rel
-cache_g_rel_SOURCES = $(cache_rel_SOURCES)
-cache_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V) -I$(srcdir)/src
-cache_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += cache$(LIB_VARIANT).rel
 include_libcpu_HEADERS += ../../shared/include/cache.h
 
 ## stack
-EXTRA_PROGRAMS += stack.rel
-CLEANFILES += stack.rel
+noinst_PROGRAMS += stack.rel
 stack_rel_SOURCES = src/stack.c include/spr.h src/stackTrace.h
 stack_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 stack_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += stack_g.rel
-CLEANFILES += stack_g.rel
-stack_g_rel_SOURCES = $(stack_rel_SOURCES)
-stack_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-stack_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += stack$(LIB_VARIANT).rel
 include_libcpu_HEADERS += include/spr.h
 include_libcpu_HEADERS += src/stackTrace.h