Index: contrib/crossrpms/rtems4.8/arm/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/arm/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/arm/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/avr/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/avr/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/avr/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/bfin/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/bfin/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/h8300/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/h8300/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems-20060815.diff
-%endif
Index: contrib/crossrpms/rtems4.8/i386/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/i386/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/i386/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/m68k/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/m68k/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems-20060815.diff
-%endif
Index: contrib/crossrpms/rtems4.8/mips/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/mips/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/mips/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/powerpc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/powerpc/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/sh/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sh/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/sh/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/sparc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/sparc/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif
Index: contrib/crossrpms/rtems4.8/tic4x/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/binutils-sources.add	(revision 3096ba23515b8cc16fd7236fe301e8fa512af326)
+++ contrib/crossrpms/rtems4.8/tic4x/binutils-sources.add	(revision 65988951af3d1796b0a350d95fce4a22ddffe777)
@@ -1,5 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.16.1"
-Patch0:		binutils-2.16.1-rtems-20050708.diff
+%if "%{binutils_version}" == "2.17"
+Patch0:		binutils-2.17-rtems4.8-20061021.diff
 %endif