Index: bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c
===================================================================
--- bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c	(revision 70914613cb4b7126ff62fa387507c6babf72aa95)
+++ bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c	(revision 70914613cb4b7126ff62fa387507c6babf72aa95)
@@ -0,0 +1,67 @@
+/*
+ * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
+ *
+ *  embedded brains GmbH
+ *  Obere Lagerstr. 30
+ *  82178 Puchheim
+ *  Germany
+ *  <rtems@embedded-brains.de>
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
+
+#include <bsp/vectors.h>
+
+#ifdef PPC_EXC_CONFIG_USE_FIXED_HANDLER
+
+#ifndef PPC_EXC_CONFIG_BOOKE_ONLY
+static int ppc_exc_interrupt_dispatch(BSP_Exception_frame *f, unsigned vector)
+{
+  bsp_interrupt_dispatch(vector);
+
+  return 0;
+}
+#endif /* PPC_EXC_CONFIG_BOOKE_ONLY */
+
+const ppc_exc_handler_t ppc_exc_handler_table [LAST_VALID_EXC + 1] = {
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+#ifndef PPC_EXC_CONFIG_BOOKE_ONLY
+  ppc_exc_interrupt_dispatch,
+#else /* PPC_EXC_CONFIG_BOOKE_ONLY */
+  ppc_exc_handler_default,
+#endif /* PPC_EXC_CONFIG_BOOKE_ONLY */
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default,
+  ppc_exc_handler_default
+};
+
+#endif /* PPC_EXC_CONFIG_USE_FIXED_HANDLER */
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision b8777d93ced8f9f53bff85fdd25950e9eee42fae)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 70914613cb4b7126ff62fa387507c6babf72aa95)
@@ -47,5 +47,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/memcpy.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/tictac.c
-librtemsbsp_a_SOURCES += ../shared/src/ppc-exc-handler-table.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mpc55xxevb/start/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/mpc55xxevb/start/bspgetworkarea.c
Index: c/src/lib/libbsp/powerpc/qoriq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision b8777d93ced8f9f53bff85fdd25950e9eee42fae)
+++ c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision 70914613cb4b7126ff62fa387507c6babf72aa95)
@@ -39,5 +39,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bsp-fdt.c
-librtemsbsp_a_SOURCES += ../shared/src/ppc-exc-handler-table.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/tictac.c
 librtemsbsp_a_SOURCES += ../shared/src/bsp-start-zero.S
Index: src/lib/libbsp/powerpc/shared/src/ppc-exc-handler-table.c
===================================================================
--- c/src/lib/libbsp/powerpc/shared/src/ppc-exc-handler-table.c	(revision b8777d93ced8f9f53bff85fdd25950e9eee42fae)
+++ 	(revision )
@@ -1,67 +1,0 @@
-/*
- * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
- *
- *  embedded brains GmbH
- *  Obere Lagerstr. 30
- *  82178 Puchheim
- *  Germany
- *  <rtems@embedded-brains.de>
- *
- * The license and distribution terms for this file may be
- * found in the file LICENSE in this distribution or at
- * http://www.rtems.org/license/LICENSE.
- */
-
-#include <bsp/vectors.h>
-
-#ifdef PPC_EXC_CONFIG_USE_FIXED_HANDLER
-
-#ifndef PPC_EXC_CONFIG_BOOKE_ONLY
-static int ppc_exc_interrupt_dispatch(BSP_Exception_frame *f, unsigned vector)
-{
-  bsp_interrupt_dispatch(vector);
-
-  return 0;
-}
-#endif /* PPC_EXC_CONFIG_BOOKE_ONLY */
-
-const ppc_exc_handler_t ppc_exc_handler_table [LAST_VALID_EXC + 1] = {
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-#ifndef PPC_EXC_CONFIG_BOOKE_ONLY
-  ppc_exc_interrupt_dispatch,
-#else /* PPC_EXC_CONFIG_BOOKE_ONLY */
-  ppc_exc_handler_default,
-#endif /* PPC_EXC_CONFIG_BOOKE_ONLY */
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default,
-  ppc_exc_handler_default
-};
-
-#endif /* PPC_EXC_CONFIG_USE_FIXED_HANDLER */
Index: c/src/lib/libbsp/powerpc/t32mppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision b8777d93ced8f9f53bff85fdd25950e9eee42fae)
+++ c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision 70914613cb4b7126ff62fa387507c6babf72aa95)
@@ -31,5 +31,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
-librtemsbsp_a_SOURCES += ../shared/src/ppc-exc-handler-table.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/exceptions/ppc-exc-handler-table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/start/tictac.c
 librtemsbsp_a_SOURCES += ../shared/src/bsp-start-zero.S